For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunitySign Up
HomeGuidesVerbsAPI ReferenceSelf-HostingClient SDKsTutorialsChangelog
HomeGuidesVerbsAPI ReferenceSelf-HostingClient SDKsTutorialsChangelog
    • Introduction
  • REST Call Control
  • REST Platform Management
      • GETretrieve recent calls for an account
      • GETretrieve jaeger trace detail for a call
      • GETretrieve recording for a call
      • GETretrieve pcap for a call
      • GETretrieve pcap for a call
      • GETretrieve recent calls for an account
      • GETretrieve jaeger trace detail for a call
  • Webhooks
    • GETNew Call
    • POSTNew Call
    • POSTClient Authentication
    • POSTNew Client Tool Request
  • Websocket API
LogoLogo
CommunitySign Up
REST Platform ManagementRecent Calls

retrieve recent calls for an account

GET
https://api.jambonz.cloud/v1/Accounts/:AccountSid/RecentCalls
GET
/v1/Accounts/:AccountSid/RecentCalls
$curl -G https://api.jambonz.cloud/v1/Accounts/AccountSid/RecentCalls \
> -H "Authorization: Bearer <token>" \
> -d page=1 \
> -d count=1
1{
2 "total": 1,
3 "batch": 1,
4 "page": 1,
5 "data": [
6 {
7 "account_sid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
8 "call_sid": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
9 "from": "+14155552671",
10 "to": "+14155559876",
11 "answered": true,
12 "sip_status": 200,
13 "duration": 125,
14 "attempted_at": 1685606400,
15 "terminated_at": 1685606525,
16 "direction": "inbound",
17 "sip_call_id": "abc123def456ghi789",
18 "answered_at": 1685606410,
19 "termination_reason": "normal_clearing",
20 "host": "sip.jambonz.cloud",
21 "remote_host": "sip.provider.net",
22 "trunk": "trunk-nyc-01"
23 }
24 ]
25}
Was this page helpful?
Previous

retrieve jaeger trace detail for a call

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

AccountSidstringRequiredformat: "uuid"

Query parameters

pageintegerRequired
countintegerRequired1-500
daysintegerOptional1-30
startstringOptionalformat: "date-time"
endstringOptionalformat: "date-time"
answeredenumOptional
retrieve only answered calls
Allowed values:
directionenumOptional
Allowed values:
filterstringOptional
Filter value can be caller ID, callee ID or call Sid

Response

retrieve recent call records for a specified account
totalinteger
total number of records in that database that match the filter criteria
batchinteger
total number of records returned in this page set
pageinteger
page number that was requested, and is being returned
datalist of objects

Errors

404
Not Found Error